[package]
name = "xagy3"
version = "0.1.0"
edition = "2021"
default-run = "xagy3"
authors = ["Nick Savchenko <nick@teichisma.info>"]
description = "Bridge between various chat systems which also works as a chatbot."

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
actix-identity = "0.7.1"
actix-session = { version = "0.9.0", features = ["cookie-session"] }
actix-web = "4.5.1"
anyhow = { version = "1.0.81" }
argon2 = "0.5.3"
async-trait = "0.1.77"
bimap = { version = "0.6.3", features = ["serde"] }
bytes = "1.5.0"
chrono = { version = "0.4.35", features = ["serde"] }
chrono-humanize = "0.2.3"
dpcolors = { git = "https://gitlab.com/exe.pub/morosoxon.git", rev = "f7199b6173940b7bb5eac043cf8f6b2e255f3033" }
env_logger = "0.11.3"
futures = "0.3.30"
glob = "0.3.1"
hmac = "0.12.1"
inquire = "0.7.1"
irc = "0.15.0"
lazy_static = "1.4.0"
maud = { version = "0.26.0", features = ["actix-web"] }
maxminddb = "0.24.0"
md4 = "0.10.2"
# uncomment the next line for MUSL static builds:
openssl = { version = "0.10.64", features = ["vendored"] }
percent-encoding = "2.3.1"
prometheus = "0.13.3"
rand = "0.8.5"
regex = "1.10.3"
reqwest = { version = "0.11.26", features = ["json"] }
rust_decimal = "1.34.3"
rust_decimal_macros = "1.34.2"
serde = { version = "1.0.103", features = ["derive"] }
serde_json = "1.0.114"
serde_with = "3.7.0"
serenity = { version = "0.12.2", default-features = false, features = [
    "cache",
    "client",
    "builder",
    "http",
    "utils",
    "rustls_backend",
    "model",
    "gateway",
] }
sqlx = { version = "0.7.4", features = [
    "runtime-tokio-rustls",
    "postgres",
    "time",
    "chrono",
    "uuid",
    "ipnetwork",
    "rust_decimal",
] }
structopt = "0.3.26"
thiserror = "1.0.53"
tokio = { version = "1.36.0", features = ["full"] }
tokio-retry = "0.3.0"
toml = "0.8.11"
tracing = "0.1.40"
tracing-actix-web = "0.7.10"
tracing-subscriber = "0.3.18"
uuid = { version = "1.7.0", features = ["v4", "fast-rng", "macro-diagnostics"] }

[build-dependencies]
rsass = "0.28.8"
